using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 评价结果附件表
    /// </summary>
    [Description("评价结果附件表")]
    public class T_HM_EVALUATE_RESULT_FILE : MesEntityBase
    {
        /// <summary>
        /// 评价结果ID
        /// </summary>
        [Description("评价结果ID")]
        [DataFieldForeignKey("Nav_EvaluateResult", "Nav_Files")]
        public Guid EVALUATE_RESULT_ID { get; set; }
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }
        [Description("导航属性：评价结果")]
        public T_HM_EVALUATE_RESULT Nav_EvaluateResult { get; set; }
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
